﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WindowsOpenedWithCommand
{
    public partial class MyWindow : RadWindow
    {
        public MyWindow()
        {

            CommandManager.SetCommandBindings(this, new CommandBindingCollection()
            {
                new CommandBinding(MyCommand.OpenWindow, Command_Executed, Command_CanExecute),
            });
            InitializeComponent();
        }

        private void Command_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            new RadWindow { Height = 200, Width = 200, WindowStartupLocation = Telerik.Windows.Controls.WindowStartupLocation.CenterScreen  }.ShowDialog();

        }

        private void Command_CanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = true;
        }


        public static class MyCommand
        {
            public static ICommand OpenWindow { get; private set; }

            static MyCommand()
            {
                OpenWindow = new RoutedUICommand("My Action", "OpenWindow", typeof(MyCommand));
            }
        }


    }
}
